define('aim/assignment/view/CalendarWeeksWithCapacityView',[], function() {
	var CalendarWeeksWithCapacityView = Backbone.View.extend({
		
		el: '#week-with-capacity-group',
		initialize : function() {
			this.listenTo(this.model, 'sync', this.render);
		},
		
		render : function() {
			var tmpOps = {};
			var planValueModel = this.model;
			tmpOps.number = planValueModel.get('weeksWithCapacity');
			tmpOps.id = "weeksWithCapacity";
			tmpOps.label = AJS.I18n.getText("naomi.templates.js.jirarp.plan.board.add.dialog.weeks.with.capacity.label");
			tmpOps.min = 2;
			tmpOps.max = 4000;
			tmpOps.disabled = "disabled";
			this.$el.html(Naomi.Templates.JiraRp.number(tmpOps, null, null));
			this.value=planValueModel.get('weeksWithCapacity');
			return this;
		}
	});
	return CalendarWeeksWithCapacityView;
});