define('aim/admin/view/SelectResourceView',[], function() {
	var SelectResourceView = Backbone.View.extend({
		
		initialize : function() {
			this.listenTo(this.model, 'sync', this.render);
		},
		
		render : function() {
			var preSelect = this.model.attributes.selectedResource;
			var tmpOps = {};
			var selectDatas = {};
			selectDatas.selectValues = new Array();
			var resourceList = this.model.attributes.resourceList;		
			var self=this;
			_.each(resourceList, function(resource) {
				var selectData = {};
				selectData.id = resource.value;
				if(resource.value == preSelect){
					selectData.selected = "selected";
					self.selection=true;
				}
				selectData.name = resource.label;
				selectDatas.selectValues.push(selectData);
			});
			this.$el.html(Naomi.Templates.JiraRp.select(tmpOps, null, selectDatas));
			if(this.selection==true){
				this.$el.prepend(Naomi.Templates.JiraRp.placeholder());
			}else{
				this.$el.prepend(Naomi.Templates.JiraRp.selectedPlaceholder());
			}
			AJS.$('#'+this.el.id).auiSelect2();
			return this;	
		}
	});
	return SelectResourceView;
});