define('aim/capacity/view/SelectFromView',[], function() {
	var SelectFromView = Backbone.View.extend({
		
		el: '#from-group',
		
		initialize : function() {
			this.listenTo(this.model, 'sync', this.render);
		},
		
		render : function() {
			var tmpOps = {};
			var capacityValueModel = this.model;
			tmpOps.date = capacityValueModel.get('from');
			tmpOps.label = AJS.I18n.getText("naomi.templates.js.jirarp.capacity.board.add.dialog.from.label");
			tmpOps.id = "fromDate";
			this.$el.html(Naomi.Templates.JiraRp.from(tmpOps, null, null));
			AJS.$('#fromDate').datePicker({'overrideBrowserDefault': true});
			return this;
		}
	});
	return SelectFromView;
});