define('aim/main/view/SplitButtonView',[], function() {
	var SplitButtonView = Backbone.View.extend({
		
		events : {
//			"click" : "setActive",
		},

		initialize : function() {
			this.listenTo(this.model, 'sync', this.render);
			this.selector = this.$el.selector+"-options";
			this.buttonId = this.$el.selector+"-selected";
		},
		
		render : function() {
			var preSelect = this.model.get("selectedValue");
			var tmpOps = {};
			tmpOps.idPrefix = this.selector.substring(1,this.selector.length);
			var selectDatas = {};
			var selectedLabel;
			selectDatas.selectValues = new Array();
			var self=this;
			_.each(this.model.get("selectOptions"), function(selectOption) {
				var selectData = {};
				selectData.id = self.selector.substring(1,self.selector.length) + selectOption.value;
				selectData.value = selectOption.value;
				selectData.label = selectOption.label;
				if( preSelect == selectOption.value){
					selectData.selected='selected';
					selectedLabel =selectOption.label;
					self.selection=true;
				}
				selectDatas.selectValues.push(selectData);
			});
			this.$el.find(this.selector).html(Naomi.Templates.JiraRp.splitOptions(tmpOps, null, selectDatas));
			this.$el.find(this.buttonId).text(selectedLabel);
			return this;
		},
		setActive : function(event){
//			this.model.set('selectedValue', event.currentTarget.dataset.value);
		}
	});
	return SplitButtonView;
});